View Issue Details

IDProjectCategoryLast Update
0020452AI War 2[All Projects] Bug - GameplayOct 13, 2018 8:36 pm
ReporterRocketAssistedPuffinAssigned To 
Severityminor 
Status closedResolutionfixed 
Product Version0.779 Quick Starts 
Fixed in Version 
Summary0020452: Hunter Fleet gets no budget, and only waits on AI Overlord
DescriptionAttached is a log with BudgetSpending trace active. Special Forces (Warden) and Waves appear as expected, but Hunter never does. I never see ships spawn for it either, other than the initial force at game start. From what I know it's meant to get budgeting, seeing as it's...showing in the XML, though it doesn't appear in C#.

Not sure if that's actually a bug...or if it's meant to act like the normal threat fleet from Classic. If that's so dunno why it has XML bits for budgeting but alright.

Second is er...it never waits by the player for an opening. It'll wait instead on the AI homeworld. If a player planet is "weak" enough it'll start to go across the galaxy to it...but usually before it arrives the fight's done - and then it goes back to the homeworld to wait some more. Occurred to me that I've...never actually seen the Hunter fleet in any real capacity, at all.

Just some...curious poking out of...I guess boredom right now.
TagsNo tags attached.
Internal Weight

Activities

RocketAssistedPuffin

Oct 5, 2018 7:32 pm

developer  

ArcenDebugLog.txt (24,950 bytes)
10/5/2018 11:55:12 PM	AI Spending 30 on  SpecialForces at  420 since we are over the spend threshold of 30
AI PerSecond trace ends
10/5/2018 11:55:15 PM	AI Spending 30 on  SpecialForces at  450 since we are over the spend threshold of 30
AI PerSecond trace ends
10/5/2018 11:55:18 PM	AI Spending 30 on  SpecialForces at  480 since we are over the spend threshold of 30
AI PerSecond trace ends
10/5/2018 11:55:19 PM	AI Spending 30 on  SpecialForces at  510 since we are over the spend threshold of 30
AI PerSecond trace ends
10/5/2018 11:55:20 PM	AI Spending 30 on  SpecialForces at  540 since we are over the spend threshold of 30
AI PerSecond trace ends
10/5/2018 11:55:20 PM	AI Spending 30 on  SpecialForces at  570 since we are over the spend threshold of 30
AI PerSecond trace ends
10/5/2018 11:55:22 PM	AI Spending 336 on  SpecialForces at  628 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:23 PM	AI Spending 330 on  SpecialForces at  658 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:23 PM	AI spending 1884.3447265625 on Wave at 663. Next spend attempt at 1263Planning a wave with budget 1884 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 1863 (interval 1200 current time 663) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  22 Sentinel Frigate squads (44 ships),  16 Armor Ship squads (192 ships),  17 Vampire Claw squads (340 ships) spawning on Kolodner from warp gate on Tarjan in 20m 0s advance warning to give 600. strength of wave 1883

AI PlanWave ends
10/5/2018 11:55:23 PM	
AI PerSecond trace ends
10/5/2018 11:55:24 PM	AI Spending 330 on  SpecialForces at  688 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:24 PM	AI Spending 1391.421875 on  Reinforcement at  704 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:24 PM	AI Spending 330 on  SpecialForces at  718 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:25 PM	AI Spending 330 on  SpecialForces at  748 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:26 PM	AI Spending 330 on  SpecialForces at  778 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:27 PM	AI Spending 330 on  SpecialForces at  808 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:27 PM	AI Spending 1391.365234375 on  Reinforcement at  838 since we are over the spend threshold of 1377AI Spending 330 on  SpecialForces at  838 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:28 PM	AI Spending 330 on  SpecialForces at  868 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:29 PM	AI Spending 330 on  SpecialForces at  898 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:30 PM	AI Spending 330 on  SpecialForces at  928 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:31 PM	AI Spending 330 on  SpecialForces at  958 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:31 PM	AI Spending 1391.30859375 on  Reinforcement at  972 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:31 PM	AI Spending 330 on  SpecialForces at  988 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:32 PM	AI Spending 330 on  SpecialForces at  1018 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:33 PM	AI Spending 330 on  SpecialForces at  1048 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:34 PM	AI Spending 330 on  SpecialForces at  1078 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:34 PM	AI Spending 1391.251953125 on  Reinforcement at  1106 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:34 PM	AI Spending 330 on  SpecialForces at  1108 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:35 PM	AI Spending 330 on  SpecialForces at  1138 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:36 PM	AI Spending 330 on  SpecialForces at  1168 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:37 PM	AI Spending 330 on  SpecialForces at  1198 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:37 PM	AI Spending 1382.55859375 on  Reinforcement at  1228 since we are over the spend threshold of 1377AI Spending 330 on  SpecialForces at  1228 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:38 PM	AI Spending 330 on  SpecialForces at  1258 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:39 PM	AI Spending 330 on  SpecialForces at  1288 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:40 PM	AI Spending 330 on  SpecialForces at  1318 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:40 PM	AI spending 8996.1748046875 on Wave at 1325. Next spend attempt at 1925Planning a wave with budget 8996 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 2525 (interval 1200 current time 1325) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  17 Spider squads (340 ships),  5 Spider Guardian squads (5 ships),  3 Grenade Launcher Guardian squads (3 ships) spawning on Kolodner from warp gate on Bos in 20m 0s advance warning to give 600. strength of wave 2961

AI PlanWave ends
10/5/2018 11:55:40 PM	
AI PerSecond trace ends
10/5/2018 11:55:41 PM	AI Spending 330 on  SpecialForces at  1348 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:41 PM	AI Spending 1388.3349609375 on  Reinforcement at  1351 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:41 PM	AI Spending 330 on  SpecialForces at  1378 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:42 PM	AI Spending 330 on  SpecialForces at  1408 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:43 PM	AI Spending 330 on  SpecialForces at  1438 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:44 PM	AI Spending 330 on  SpecialForces at  1468 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:44 PM	AI Spending 1388.2783203125 on  Reinforcement at  1485 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:45 PM	AI Spending 330 on  SpecialForces at  1498 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:45 PM	AI Spending 330 on  SpecialForces at  1528 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:46 PM	AI Spending 330 on  SpecialForces at  1558 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:47 PM	AI Spending 330 on  SpecialForces at  1588 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:48 PM	AI Spending 330 on  SpecialForces at  1618 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:48 PM	AI Spending 1388.2216796875 on  Reinforcement at  1619 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:48 PM	AI Spending 330 on  SpecialForces at  1648 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:49 PM	AI Spending 330 on  SpecialForces at  1678 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:50 PM	AI Spending 330 on  SpecialForces at  1708 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:51 PM	AI Spending 330 on  SpecialForces at  1738 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:51 PM	AI Spending 1379.5283203125 on  Reinforcement at  1741 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:52 PM	AI Spending 330 on  SpecialForces at  1768 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:52 PM	AI Spending 330 on  SpecialForces at  1798 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:53 PM	AI Spending 330 on  SpecialForces at  1828 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:54 PM	AI Spending 330 on  SpecialForces at  1858 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:55 PM	AI Spending 1379.4716796875 on  Reinforcement at  1875 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:55 PM	AI Spending 330 on  SpecialForces at  1888 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:56 PM	AI Spending 330 on  SpecialForces at  1918 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:56 PM	AI spending 8167.083984375 on Wave at 1926. Next spend attempt at 2526Planning a wave with budget 8167 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 3126 (interval 1200 current time 1926) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  32 Raider squads (640 ships),  5 Spider Guardian squads (5 ships),  2 Pike Guardian squads (2 ships) spawning on Kolodner from warp gate on Tarjan in 20m 0s advance warning to give 600. strength of wave 3056

AI PlanWave ends
10/5/2018 11:55:56 PM	
AI PerSecond trace ends
10/5/2018 11:55:57 PM	AI Spending 330 on  SpecialForces at  1948 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:58 PM	AI Spending 330 on  SpecialForces at  1978 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:58 PM	AI Spending 330 on  SpecialForces at  2008 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:55:58 PM	AI Spending 1379.4150390625 on  Reinforcement at  2009 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:55:59 PM	AI Spending 330 on  SpecialForces at  2038 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:56:00 PM	AI Spending 330 on  SpecialForces at  2068 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:56:01 PM	AI Spending 330 on  SpecialForces at  2098 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:56:02 PM	AI Spending 330 on  SpecialForces at  2128 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:56:02 PM	AI Spending 1379.3583984375 on  Reinforcement at  2143 since we are over the spend threshold of 1377
AI PerSecond trace ends
10/5/2018 11:56:03 PM	AI Spending 330 on  SpecialForces at  2158 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:56:04 PM	AI Spending 330 on  SpecialForces at  2188 since we are over the spend threshold of 330
AI PerSecond trace ends
10/5/2018 11:56:04 PM	AI initializing spend time for WormholeInvasion to 6468; it is currently 2208
AI PerSecond trace ends
10/5/2018 11:56:05 PM	AI Spending 574 on  SpecialForces at  2230 since we are over the spend threshold of 570
AI PerSecond trace ends
10/5/2018 11:56:06 PM	AI Spending 935 on  SpecialForces at  2267 since we are over the spend threshold of 930
AI PerSecond trace ends
10/5/2018 11:56:07 PM	AI Spending 1173 on  SpecialForces at  2300 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:08 PM	AI Spending 1170 on  SpecialForces at  2330 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:08 PM	AI Spending 4133.70703125 on  Reinforcement at  2346 since we are over the spend threshold of 4125
AI PerSecond trace ends
10/5/2018 11:56:09 PM	AI Spending 1170 on  SpecialForces at  2360 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:09 PM	AI Spending 1170 on  SpecialForces at  2390 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:10 PM	AI Spending 1170 on  SpecialForces at  2420 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:11 PM	AI Spending 1170 on  SpecialForces at  2450 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:12 PM	AI Spending 1170 on  SpecialForces at  2480 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:13 PM	AI Spending 1170 on  SpecialForces at  2510 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:14 PM	AI Spending 4152.2861328125 on  Reinforcement at  2521 since we are over the spend threshold of 4125
AI PerSecond trace ends
10/5/2018 11:56:14 PM	AI spending 20576.3134765625 on Wave at 2527. Next spend attempt at 3127Planning a wave with budget 20576 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 3727 (interval 1200 current time 2527) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct waveFinding wave composition
Selecting composition for wavePlanned wave: AI Wave with  2 Plasma Guardian squads (2 ships),  7 Sentinel Frigate squads (14 ships),  1 Grenade Launcher Guardian squads (1 ships),  9 Sniper squads (54 ships),  13 Spider squads (260 ships),  5 Pike Corvette squads (30 ships),  3 Gravity Guardian squads (3 ships),  9 Metabolizing Gangsaw squads (180 ships),  1 Raider Guardian squads (1 ships),  8 Stingray squads (48 ships),  11 Armor Ship squads (132 ships),  9 Eyebot squads (180 ships) spawning on Kolodner from warp gate on Teng in 20m 0s advance warning to give 600. strength of wave 10278

AI PlanWave ends
10/5/2018 11:56:14 PM	
AI PerSecond trace ends
10/5/2018 11:56:14 PM	AI Spending 1170 on  SpecialForces at  2540 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:15 PM	AI Spending 1170 on  SpecialForces at  2570 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:16 PM	AI Spending 1170 on  SpecialForces at  2600 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:17 PM	AI Spending 1170 on  SpecialForces at  2630 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:18 PM	AI Spending 1170 on  SpecialForces at  2660 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:19 PM	AI Spending 1170 on  SpecialForces at  2690 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:19 PM	AI Spending 4137.6162109375 on  Reinforcement at  2695 since we are over the spend threshold of 4125
AI PerSecond trace ends
10/5/2018 11:56:20 PM	AI Spending 1170 on  SpecialForces at  2720 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:21 PM	AI Spending 1170 on  SpecialForces at  2750 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:22 PM	AI Spending 1170 on  SpecialForces at  2780 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:23 PM	AI Spending 1170 on  SpecialForces at  2810 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:24 PM	AI Spending 1170 on  SpecialForces at  2840 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:25 PM	AI Spending 4156.1953125 on  Reinforcement at  2870 since we are over the spend threshold of 4125AI Spending 1170 on  SpecialForces at  2870 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:25 PM	AI Spending 1170 on  SpecialForces at  2900 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:26 PM	AI Spending 1170 on  SpecialForces at  2930 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:27 PM	AI Spending 1170 on  SpecialForces at  2960 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:28 PM	AI Spending 1170 on  SpecialForces at  2990 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:29 PM	AI Spending 1170 on  SpecialForces at  3020 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:30 PM	AI Spending 4151.0390625 on  Reinforcement at  3030 since we are over the spend threshold of 4125
AI PerSecond trace ends
10/5/2018 11:56:30 PM	AI Spending 1170 on  SpecialForces at  3050 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:31 PM	AI Spending 1170 on  SpecialForces at  3080 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:32 PM	AI Spending 1170 on  SpecialForces at  3110 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:33 PM	AI spending 32366.2763671875 on Wave at 3128. Next spend attempt at 3728Planning a wave with budget 32366 isReconquestWave: False targetFaction: default onlyAttackIfStrongEnough False
Sending wave at 4328 (interval 1200 current time 3128) and gving 600 seconds of advanced warning
Finding target planet
Determine wave type
spawning a direct wave
Finding wave composition
Selecting composition for wavePlanned wave: AI Wave with  6 Sniper squads (36 ships),  9 Agravic Pod squads (108 ships),  1 Concussion Guardian squads (1 ships),  5 Grenade Launcher squads (20 ships),  10 Autocannon Minipod squads (300 ships),  2 Vampire Guardian squads (2 ships),  2 Gravity Guardian squads (2 ships),  2 Spider Guardian squads (2 ships),  8 Spider squads (160 ships),  1 Tritium Sniper Guardian squads (1 ships),  12 Stingray squads (72 ships),  8 Eyebot squads (160 ships),  6 Armor Ship squads (72 ships),  7 Sentinel Frigate squads (14 ships),  1 Nucleophilic Guardian squads (1 ships),  7 Pike Corvette squads (42 ships),  7 MLRS Corvette squads (21 ships),  1 Fortified Tesla Guardian squads (1 ships),  10 Vampire Claw squads (200 ships),  5 Ablative Gatling squads (210 ships),  7 Raider squads (140 ships),  6 Space Tank squads (72 ships),  5 Metabolizing Gangsaw squads (100 ships) spawning on Kolodner from warp gate on Tarjan in 20m 0s advance warning to give 600. strength of wave 15823

AI PlanWave ends
10/5/2018 11:56:33 PM	
AI PerSecond trace ends
10/5/2018 11:56:33 PM	AI Spending 1170 on  SpecialForces at  3140 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:34 PM	AI Spending 4156.1279296875 on  Reinforcement at  3155 since we are over the spend threshold of 4125
AI PerSecond trace ends
10/5/2018 11:56:34 PM	AI Spending 1170 on  SpecialForces at  3170 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:35 PM	AI Spending 1170 on  SpecialForces at  3200 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:36 PM	AI Spending 1170 on  SpecialForces at  3230 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:37 PM	AI Spending 1170 on  SpecialForces at  3260 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:38 PM	AI Spending 1170 on  SpecialForces at  3290 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:39 PM	AI Spending 4150.9716796875 on  Reinforcement at  3315 since we are over the spend threshold of 4125
AI PerSecond trace ends
10/5/2018 11:56:39 PM	AI Spending 1170 on  SpecialForces at  3320 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:40 PM	AI Spending 1170 on  SpecialForces at  3350 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:41 PM	AI Spending 1170 on  SpecialForces at  3380 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:42 PM	AI Spending 1170 on  SpecialForces at  3410 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:43 PM	AI Spending 4156.1279296875 on  Reinforcement at  3440 since we are over the spend threshold of 4125AI Spending 1170 on  SpecialForces at  3440 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:44 PM	AI Spending 1170 on  SpecialForces at  3470 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:45 PM	AI Spending 1170 on  SpecialForces at  3500 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:46 PM	AI Spending 1170 on  SpecialForces at  3530 since we are over the spend threshold of 1170
AI PerSecond trace ends
10/5/2018 11:56:47 PM	PLAYER DISCONNECTED 0.0.0.0=>0
10/6/2018 12:01:55 AM	Current directory used: C:/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Steam/steamapps/common/AI War 2/PlayerData/
10/6/2018 12:01:55 AM	No resolution change was required.
10/6/2018 12:01:55 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
10/6/2018 12:01:55 AM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
10/6/2018 12:02:07 AM	ArcenAssetBundleCache.InstantiatedObjects: 766
10/6/2018 12:02:07 AM	Game Version: 0.779
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 750 Ti
graphicsDeviceID: 4992
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 1968
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-4460 CPU @ 3.20GHz
processorCount: 4
processorFrequency: 3193
systemMemorySize: 8144
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
10/6/2018 12:02:07 AM	13.5 seconds total load time.

SetDirectoriesToBeUsed (1.2s)
Calculate FInt Sqrt Arrays (0.3s)
LoadFinalSFXStuff (7.9s)
PlanetDefinitionTable (0.3s)
GameEntityTypeDataTable.InitVisualBits (1.6s)
SurrogateTableTable (0.5s)
10/6/2018 12:02:07 AM
Hello Steam user 'RocketAssistedPuffin'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35498b5971ab461099fa78ffe109ffce>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35498b5971ab461099fa78ffe109ffce>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <35498b5971ab461099fa78ffe109ffce>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

10/6/2018 12:02:09 AM	Generate Map with type Simple and seed 992351032
10/6/2018 12:02:09 AM	World Created, Launching Server
10/6/2018 12:02:09 AM	Successfully opened host socket
10/6/2018 12:10:02 AM	PLAYER DISCONNECTED 0.0.0.0=>0
10/6/2018 12:10:02 AM	Generate Map with type Simple and seed 992351032
10/6/2018 12:10:02 AM	World Created, Launching Server
10/6/2018 12:10:02 AM	Successfully opened host socket
10/6/2018 12:10:05 AM	Generate Map with type Simple and seed 992351032
10/6/2018 12:10:05 AM	Generate Map Complete
10/6/2018 12:10:07 AM	Generate Map with type Simple and seed 992351032
10/6/2018 12:10:07 AM	Generate Map Complete
10/6/2018 12:10:09 AM	Generate Map with type Simple and seed 992351032
10/6/2018 12:10:09 AM	Generate Map Complete
10/6/2018 12:10:12 AM	Generate Map with type Simple and seed 992351032
10/6/2018 12:10:12 AM	Generate Map Complete
10/6/2018 12:14:06 AM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (24,950 bytes)

BadgerBadger

Oct 6, 2018 9:50 am

manager   ~0049793

Last edited: Oct 6, 2018 10:00 am

View 2 revisions

The hunter fleet is intended to get most of its units from Threat units being given to the hunter fleet, like the old Threat Fleet, not from budget. The Special Forces Master and higher AI difficulties do allocate budget for it though

BadgerBadger

Oct 6, 2018 9:50 am

manager   ~0049794

In terms of why the hunter fleet didn't seem to do much, I'd need tracing with Independents on

RocketAssistedPuffin

Oct 6, 2018 10:10 am

developer   ~0049796

Here.

Figured it worked like that in Classic, but the Special Forces Master etc does indeed spend, so that's cleared.

Independents and budget is in this log. Towards the end I had spawned a bunch of waves that had strength almost 300% my units, and the Hunter didn't move. It just idled on the Overlord.

Strangely, the test before? It happily waited outside my homeworld waiting for a chance. Other than that instance I've never seen that behaviour.

ArcenDebugLog-2.txt (1,507,235 bytes)

RocketAssistedPuffin

Oct 6, 2018 10:17 am

developer   ~0049797

Okay, here's one where it waited. At times it was seemingly slow to decide to attack, even if I was out-strengthed by a fair bit.

ArcenDebugLog-3.txt (1,888,260 bytes)

BadgerBadger

Oct 8, 2018 9:40 pm

manager   ~0049817

Any chance you could get a save game for this? It's a bit hard not knowing which planet is which.

RocketAssistedPuffin

Oct 13, 2018 8:36 pm

developer   ~0049945

The whole "waiting on AI Overlord" I can't really get anymore. All testing since that has the Hunter sitting next to me, patiently waiting, so closing as it's probably a one time fluke...

Issue History

Date Modified Username Field Change
Oct 5, 2018 7:32 pm RocketAssistedPuffin New Issue
Oct 5, 2018 7:32 pm RocketAssistedPuffin File Added: ArcenDebugLog.txt
Oct 6, 2018 9:50 am BadgerBadger Note Added: 0049793
Oct 6, 2018 9:50 am BadgerBadger Note Added: 0049794
Oct 6, 2018 10:00 am BadgerBadger Note Edited: 0049793 View Revisions
Oct 6, 2018 10:10 am RocketAssistedPuffin File Added: ArcenDebugLog-2.txt
Oct 6, 2018 10:10 am RocketAssistedPuffin Note Added: 0049796
Oct 6, 2018 10:17 am RocketAssistedPuffin File Added: ArcenDebugLog-3.txt
Oct 6, 2018 10:17 am RocketAssistedPuffin Note Added: 0049797
Oct 8, 2018 9:40 pm BadgerBadger Note Added: 0049817
Oct 13, 2018 8:36 pm RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Oct 13, 2018 8:36 pm RocketAssistedPuffin Status new => closed
Oct 13, 2018 8:36 pm RocketAssistedPuffin Resolution open => fixed
Oct 13, 2018 8:36 pm RocketAssistedPuffin Note Added: 0049945
Oct 13, 2018 8:36 pm RocketAssistedPuffin Assigned To RocketAssistedPuffin =>